Package org.bukkit.material

# Class RedstoneWire

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.RedstoneWire

All Implemented Interfaces:
  `Cloneable`, `Redstone`

@Deprecated public class RedstoneWire extends MaterialData implements Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents redstone wire

## Constructor Summary

Constructors
Constructor
Description
`RedstoneWire()`
Deprecated.
`RedstoneWire(Material type)`
Deprecated.
`RedstoneWire(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`RedstoneWire`
`clone()`
Deprecated.
`boolean`
`isPowered()`
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RedstoneWire

public RedstoneWire()
Deprecated.

### RedstoneWire

public RedstoneWire(Material type)
Deprecated.

### RedstoneWire

@Deprecated public RedstoneWire(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isPowered

public boolean isPowered()
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if powered, otherwise false

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public RedstoneWire clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`